@echo off
title Reset Java-MQSI-SAP Test Drive 7
REM #####################################################
REM # This is the reset for the Test Drive 7 only       #
REM #####################################################
REM This file will attempt the following...
REM - delete MQ qmgr
REM - drop DB/2 database MQSIDB
REM - refresh the TestDrive directory

REM ### Setup ####
title Reset MQSI Test Drive
set DB2INSTANCE=DB2
call %TSDEMOPATH%\SDK\JavaMqsiSap\TestDrive\JavaFE\shortname.cmd
set QMNAME=%QM_NAME%
set LOG=%TSDEMOPATH%\SDK\JavaMqsiSap\TestDrive\JavaFE\ResetTD7.log
echo Log file = %LOG% 2>&1
echo Resetting the Java-MQSI-SAP Test Drive 7 ... > %LOG% 2>&1

REM ------------------------------ MQ CHANNEL RESET SECTION ------------------
REM ### MQ channel reset section ####
echo Before deleting the Queue Manager reset the channels
echo Start MQSeries
echo Pausing for a short time to allow any MQSeries processes to end
delay
delay
delay
delay
strmqm
echo Start channel to REGSYS
echo %QM_NAME% > %tsdemopath%\sdk\JavaMqsiSap\Testdrive\JavaFE\qmname.txt
runmqsc < %tsdemopath%\sdk\JavaMqsiSap\Testdrive\JavaFE\start_sdr_chl.dat
delay
rem pause
echo Issue request to reset the channel from REGSYS
%MQSeries%\tools\c\samples\bin\amqsput RESETQ.REMOTE < %tsdemopath%\sdk\JavaMqsiSap\Testdrive\JavaFE\qmname.txt
delay
rem pause
echo Stop channel to REGSYS
runmqsc < %tsdemopath%\sdk\JavaMqsiSap\Testdrive\JavaFE\stop_sdr_chl.dat
delay
rem pause
echo Reset the channel to REGSYS
runmqsc < %tsdemopath%\sdk\JavaMqsiSap\Testdrive\JavaFE\reset_sdr_chl.dat
delay
rem pause
:CHSTATUS
echo.
echo * Check Channel Status
echo runmqsc < %tsdemopath%\sdk\JavaMqsiSap\Testdrive\JavaFE\channel_status.dat
runmqsc < %tsdemopath%\sdk\JavaMqsiSap\Testdrive\JavaFE\channel_status.dat
echo .
echo * The channels should show a status of "STOPPED"
echo * Check Channel Status again? (Y/N)
:get_Y_or_N
%tsdemopath%\sdk\JavaMqsiSap\Testdrive\JavaFE\choice /C:YN
if "%errorlevel%" == "1" goto CHSTATUS
if "%errorlevel%" == "2" goto PAUSE
goto get_Y_or_N
:PAUSE
pause
echo Stopping MQ Queuemgr
endmqm -i %QM_NAME% >> %LOG% 2>&1
erase %tsdemopath%\sdk\JavaMqsiSap\Testdrive\JavaFE\qmname.txt
echo * Channels reset

REM ------------------------------ MQ SECTION ------------------------------
echo. >> %LOG% 2>&1
echo.
echo MQ Section
echo ---------- MQ section ---------- >> %LOG% 2>&1
echo ...Stopping MQ Queuemgr
echo ...Stopping MQ Queuemgr >> %LOG% 2>&1
endmqm -i %QM_NAME% >> %LOG% 2>&1
echo. >> %LOG% 2>&1

echo ...Deleting MQ Queuemgr
echo ...Deleting MQ Queuemgr >> %LOG% 2>&1
dltmqm %QMNAME% >> %LOG% 2>&1


REM ----------------------- Delete EXE files and DLLs SECTION --------------------
echo. >> %LOG% 2>&1
echo.
echo Delete file section
echo ---------- Delete file section ---------- >> %LOG% 2>&1
echo ...Deleting files copies by last run (if they exist)
echo ...Deleting files copies by last run (if they exist) >> %LOG% 2>&1

echo ...cppwm35i.dll will be deleted (if it exists) when the directory is destroyed >> %LOG% 2>&1
echo ...cppwob3i.dll will be deleted (if it exists) when the directory is destroyed >> %LOG% 2>&1

if EXIST %MQI%\bin\sqlsvses.cfg goto EraseSqlsvses
echo ...sqlsvses.cfg not found in MQSeries Integrator \bin directory >> %LOG% 2>&1
goto NoErase3
:EraseSqlsvses
echo ...Deleting sqlsvses.cfg >> %LOG% 2>&1
erase %MQI%\bin\sqlsvses.cfg >> %LOG% 2>&1
:NoErase3

if EXIST %MQI%\bin\TD7_MQSIruleng.mpf goto EraseMqsiruleng
echo ... TD7_MQSIruleng.mpf not found in MQSeries Integrator \bin directory >> %LOG% 2>&1
goto NoErase4
:EraseMqsiruleng
echo ...Deleting TD7_MQSIruleng.mpf >> %LOG% 2>&1
erase %MQI%\bin\TD7_MQSIruleng.mpf >> %LOG% 2>&1
:NoErase4

echo Deleting any MQSI formatter error files if they exist... >> %LOG% 2>&1 
erase %MQI%\bin\nnfie.err* >> %LOG% 2>&1


REM ----------------------- DB2 SECTION --------------------
echo. >> %LOG% 2>&1
echo.
echo DB2 section
echo ---------- DB2 section ---------- >> %LOG% 2>&1
echo ...Start DB2 in case it is not running
echo ...Start DB2 in case it is not running >> %LOG% 2>&1
DB2START >> %LOG% 2>&1
echo. >> %LOG% 2>&1

echo ...Check database MQSIDB exists before we try and drop it
echo ...Check database MQSIDB exists before we try and drop it >> %LOG% 2>&1
DB2 LIST DB DIRECTORY > dblist.out
Findstr /c:"MQSIDB" dblist.out > nul 2>&1
if "%errorlevel%"=="0" goto DatabaseExists
echo Database MQSIDB does not exist... bypassing DB2 reset code.
echo Database MQSIDB does not exist... bypassing DB2 reset code. >> %LOG% 2>&1
goto DB2bypass

:DatabaseExists
echo Database MQSIDB exists
echo Database MQSIDB exists >> %LOG% 2>&1
echo. >> %LOG% 2>&1 

echo ...Uncatalog DB MQSIDB 
echo ...Uncatalog DB MQSIDB >> %LOG% 2>&1
DB2 UNCATALOG USER ODBC DATA SOURCE MQSIDB >> %LOG% 2>&1
echo. >> %LOG% 2>&1 

echo ...Reset connections
echo ...Reset connections >> %LOG% 2>&1
DB2 CONNECT RESET >> %LOG% 2>&1
echo. >> %LOG% 2>&1

echo ...Force all running aplications to terminate
echo ...Force all running aplications to terminate >> %LOG% 2>&1
DB2 FORCE APPLICATION ALL >> %LOG% 2>&1

echo ...Drop the database (MQSIDB)
echo ...Drop the database >> %LOG% 2>&1
set i=1st
:DropDB
DB2 DROP DATABASE MQSIDB >> %LOG% 2>&1
if "%ERRORLEVEL%"=="0" goto DBdropped
echo Drop failed... wait 5 seconds and retry for the %i% time >> %LOG% 2>&1
echo Drop failed... wait 5 seconds and retry for the %i% time 
delay
if "%i%"=="7th" goto DropFailed
if "%i%"=="6th" set i=7th
if "%i%"=="5th" set i=6th
if "%i%"=="4th" set i=5th
if "%i%"=="3rd" set i=4th
if "%i%"=="2nd" set i=3rd
if "%i%"=="1st" set i=2nd
goto DropDB
:DropFailed
echo *** ERROR *** 
echo   Drop of Database MQSIDB failed.  You will have to drop this database
echo   yourself using the following command from a DB2 command prompt
echo   "DB2 DROP DATABASE MQSIDB"
echo *** ERROR *** >> %LOG% 2>&1
echo   Drop of Database MQSIDB failed.  You will have to drop this database >> %LOG% 2>&1
echo   yourself using the following command from a DB2 command prompt >> %LOG% 2>&1
echo   "DB2 DROP DATABASE MQSIDB" >> %LOG% 2>&1
goto StopDB2
:DBdropped
echo Database MQSIDB dropped
echo Database MQSIDB dropped >> %LOG% 2>&1

:StopDB2
:DBdropped
:DB2bypass
echo. >> %LOG% 2>&1
echo ...Stop DB2
echo ...Stop DB2 >> %LOG% 2>&1
DB2STOP >> %LOG% 2>&1



REM ----------------------- REFRESH TESTDRIVE SECTION --------------------
echo. >> %LOG% 2>&1
echo.
echo Refresh Test Drive Section
echo ---------- Refresh Test Drive Section ---------- >> %LOG% 2>&1
echo ...Change to JavaMqsiSap directory >> %LOG% 2>&1
pushd %tsdemopath%\sdk\JavaMqsiSap >> %LOG% 2>&1
rem echo ...Remove TestDrive Directory (note that this will probably issue an error >> %LOG% 2>&1
rem echo ...indicating that it could not delete the directory, this is not a cause for concern) >> %LOG% 2>&1
rem rmdir TestDrive /s /q >> %LOG% 2>&1
echo ...Copy TestDriveCopy directory to TestDrive >> %LOG% 2>&1
xcopy TestDriveCopy TestDrive\*.* /s >> %LOG% 2>&1  


REM ----------------------- View Logfile --------------------
echo.
echo. >> %LOG% 2>&1
echo **** Test Drive RESET is Complete **** 
echo **** Test Drive RESET is Complete **** >> %LOG% 2>&1
start "Log from reset commands" notepad %LOG%

pause
exit
