@echo off
REM --------------------------------------------------------------
REM Start the command Server to allow PCF commands to be processed
REM --------------------------------------------------------------
title Starting MQSeries Command Server
if "%MQSeries%" == "" ( set err=MQSeries&goto env_err )
if "%MYJDK%" == "" ( set err=MYJDK&goto env_err )

call :Check_PCF_Java_Bindings
call :Start_Command_Server
pause
goto :EOF

REM --------------------------------------------------------------
REM Check Java PCF support pack present
REM --------------------------------------------------------------
:Check_PCF_Java_Bindings
pushd %MQSeries%\Java\Lib\Com\Ibm\Mqbind\pcf
echo.
echo * Checking that Java PCF support pack has been uncompressed
if exist "CMQC.class" (
  echo * Java MQSeies PCF support pack MS0B located
  popd
  goto :EOF
)
echo.
echo * Java MQSeies PCF support pack MS0B is NOT installed
echo.

if not exist "com.ibm.mqbind.pcf.jar" (
  echo ERROR: MQSeries Java PCF support pack not found in required directory.  
  echo ERROR: Missing file is:
  echo ERROR:    %MQSeries%\Java\Lib\Com\Ibm\Mqbind\pcf\com.ibm.mqbind.pcf.jar
  echo.
  echo ERROR: Program will now abort.
  echo.
  popd
  pause
  exit
  goto :EOF
)
if exist "javapcf.cmd" (
  echo * Uncompressing Java MQseries PCF support pack MS0B
  call javapcf.cmd
  popd
  goto :EOF
)
echo ERROR: Unable to find command file to uncompress Java MQSeries support
echo ERROR: pack MS0B.  To uncompress the support pack manually 
echo ERROR: 1. Open a command prompt to the following directory 
echo ERROR:    %MQSeries%\Java\Lib\Com\Ibm\Mqbind\pcf
echo ERROR: 2. Type the following substituting the percent sign for each @
echo ERROR:    set path=@path@;@MYJDK@\bin
echo ERROR: 3. To uncompress the jar file issue the following command
echo ERROR:    jar xvf com.ibm.mqbind.pcf.jar
echo.
echo ERROR: Program will now abort.
echo.
popd
pause
exit
goto :EOF


REM --------------------------------------------------------------
REM Start Command Server
REM --------------------------------------------------------------
:Start_Command_Server
echo.
echo * Obtain Queue Manager name
echo call %TSDEMOPATH%\SDK\JavaMqsiSap\TestDrive\JavaFE\shortname.cmd
call %TSDEMOPATH%\SDK\JavaMqsiSap\TestDrive\JavaFE\shortname.cmd

echo.
echo * Queue Manager name is %QM_NAME%
echo.
echo.
echo * Now start MQSeries Command Server
echo strmqcsv %QM_NAME%
strmqcsv %QM_NAME%
echo.
goto :EOF


REM --------------------------------------------------------------
REM * Error Handling
REM --------------------------------------------------------------
:env_err
echo.
echo ERROR - This program requires the environment variable %err% to be set
echo ERROR - to be set. Please report this error.  Task aborting.
echo.
pause
goto :EOF



