@echo off
REM *****************************************************************
REM This command file starts the services required by the solution
REM They are:
REM   MQSeries
REM   MQSeries command server
REM   MQSeries Listener
REM   DB2 UDB
REM   MQSeries Integrator Rules Engine
REM *****************************************************************
title Start services

REM Test required files / variables exist
if "%MQI%" == "" ( set err=MQI& goto env_err)
if not exist %systemroot%\ps.exe (set err=%systemroot%\PS.EXE& goto pgm_err)
if not exist %systemroot%\cygwin.dll (set err=%systemroot%\CYGWIN.DLL& goto pgm_err)

REM Get a list of all running processes and services
ps > process.out
net start > service.out

REM No need to test if MQ is running it does so itself
echo ... start MQSeries Queue Manager 
strmqm
echo.

REM *** Test for running MQ listener 
Findstr /c:"MQ Listener" process.out > nul 2>&1
if "%errorlevel%"=="0" goto ListenerRunning
echo ... Start MQSeries Listener
start "MQ Listener" /MIN runmqlsr -t TCP
goto continue1
:ListenerRunning
echo ... MQSeries Listener already running
:continue1
echo.

REM Start the channels if required
echo * Start the MQSeries Command Server
call %TSDEMOPATH%\SDK\JavaMqsiSap\TestDrive\JavaFE\shortname.cmd
strmqcsv %QM_NAME%
echo.
echo * Start the channels if required
echo.
REM Before starting channels issue a RESET to FRONTEND.REGSYS in case of earlier problems
echo Before starting channels issue a RESET to FRONTEND.REGSYS
runmqsc < %TSDEMOPATH%\SDK\JavaMqsiSap\TestDrive\JavaFE\reset_sdr_chl.dat

start /D%tsdemopath%\sdk\JavaMqsiSap\Testdrive\JavaFE CheckChannelStatus.cmd
echo.
echo ..Please wait until you see that the channels have been successfully started
echo ..before continuing if you wish to run the Test Drive through to SAP
echo.
pause
echo.

REM *** Start MQ Channel Initiator for retry if required
echo *** Start MQ Channel Initiator for retry if required
Findstr /c:"MQ Channel Initiator for retry" process.out > nul 2>&1
if "%errorlevel%"=="0" goto InitiatorRunning
echo ... Start MQSeries Channel Initiator
start "MQ Channel Initiator for retry" /MIN runmqchi
goto continue1a
:InitiatorRunning
echo ... MQSeries Channel Initiator already running
:continue1a
echo.

REM No need to test if DB2 is running it does so itself
echo ... Set the DB2INSTANCE and start the DB2 Services
set DB2INSTANCE=DB2
db2start
echo.

REM *** Test for running MQSeries Integrator Rules Engine
Findstr /c:"MQI Rules Engine" process.out > nul 2>&1
if "%errorlevel%"=="0" goto RulesRunning
echo ... Start Rules engine
pushd %MQI%\bin
start "MQI Rules Engine" /MIN mqsiruleng.exe -p TD7_MQSIruleng.mpf
goto continue2
:RulesRunning
echo ... MQSeries Integrator Rules Engine already running
:continue2
echo.

pause
goto :EOF


REM *************************************************************
REM * Error Handling ONLY beyond this point
REM *************************************************************
:env_err
echo.
echo ERROR - This program requires the environment variable %err% to be set
echo ERROR - to be set. Please report this error.  Task aborting.
echo.
pause
goto :EOF

:pgm_err
echo.
echo ERROR - This program requires the following program which cannot be found
echo ERROR - %ERR%
echo ERROR - Please report this error.  Task aborting.
echo.
pause
goto :EOF

