@echo off
REM *****************************************************************
REM This command file copies the configuration files that are used
REM by MQ Integrator RULES and FORMAT to the bin directory under 
REM the Integrator install path and then imports them.
REM *****************************************************************

REM Test required files / variables exist
if "%MQI%" == "" ( set err=MQI& goto env_err)

echo Copying the RULES data to the MQSeries Integrator \bin directory
copy %TSDEMOPATH%\sdk\JavaMqsiSap\TestDrive\Mqsi\TD7_Rules.exp %MQI%\bin
echo.

echo Copying the FORMATS data to the MQSeries Integrator \bin directory
copy %TSDEMOPATH%\sdk\JavaMqsiSap\TestDrive\Mqsi\TD7_Formats.exp %MQI%\bin
echo.

echo Set the DB2INSTANCE environment variable to DB2
set db2instance=db2
echo.

echo Changing directory to the MQSeries Integrator \bin directory
pushd %MQI%\bin
echo.


REM -i = import file, -s = session name is in sqlsvses.cfg
echo Importing the FORMATS ...
nnfie -i TD7_Formats.exp -s nnfie
echo.

REM -i = import file, -s = session name is in sqlsvses.cfg
echo Importing the RULES ...
nnrie -i TD7_Rules.exp -s nnrie
echo.

pause
exit


REM *************************************************************
REM * Error Handling ONLY beyond this point
REM *************************************************************
:env_err
echo.
echo ERROR - This program requires the environment variable %err% to be set
echo ERROR - to be set. Please report this error.  Task aborting.
echo.
pause
goto :EOF
