// ===========================================================================
//
// Test Drive 7 : LookUpName.java
//
// ===========================================================================
// MQSeries Java application (Alan Hollingshead)
//
// This class looks for the <shortname> in the flat text file <filename>
//
// Input:  Passed in <shortname> and <filename> 
// Output: Returns string - either matching entry from file or "No entry found"
//  
// ************ Existing problem -- if "bl" supplied, then "bloggs" is picked up ... need full match .. but how??

import java.io.*;
import java.util.*;

public class LookUpName 
{
   public static String SuppliedName(String sNameReceived, String sFilename)
   {
         // ----------------------------------------------------------------------------------------
         // Look up sNameReceived, e.g. HOLLINGS, filename passed in, e.g. SAPBookings.dat
         // ----------------------------------------------------------------------------------------      
      
         String            sLine       = null;
         FileInputStream   file        = null;
         InputStreamReader isReader    = null;
         BufferedReader    brReader    = null;
         boolean           bMatchFound = false;
         String            sResponse   = "No entry found";
      
         try 
         {
            file     = new FileInputStream(sFilename);
            isReader = new InputStreamReader(file);
            brReader = new BufferedReader(isReader);
         
            System.out.println("Searching for " + sNameReceived + " in file " + sFilename);
            sLine = brReader.readLine();
                  
            while ((sLine != null) & (bMatchFound == false) ) 
            {
               sLine = brReader.readLine();
               
               // Look for matching name in line read from file ... and also check first character is not '*'
               if ((sLine.indexOf(sNameReceived) > 0 ) & (sLine.startsWith("*") != true ))
               {
                  bMatchFound = true;
                  sResponse = sLine;
               }      
            }
         }
         catch (FileNotFoundException fnfe)
         {
            System.err.println("Error: "+ fnfe);
            System.exit(0);
         }
         catch (IOException ioe)
         {
            System.err.println("IOException: "+ ioe);               
            System.exit(0);
         }
         catch (Exception e)
         {
            System.err.println("Exception caught (possibly due to end of file): "+ e);               
            // System.exit(0);
         }
         finally
         {
            try
            {
               file.close();
               System.out.println("I/O File " + sFilename + " closed");
            }
            catch (IOException ioe)
            {
               System.err.println("Error closing file: "+ ioe);
               System.exit(0);
            }
         } 
   return sResponse;   
   }
}
