@echo off

REM ------------------------------
REM Registration Workstation Setup
REM ------------------------------

REM *****************************************************************************
REM This command file sets up the MQ definitions for the Registration workstation
REM
REM Input: Pass in the name of the Registation System Queue Manager (e.g. REGSYS)  
REM *****************************************************************************

title Setting up MQ configuration
echo.

REM Check correct invocation
if "%1" == "" goto INVOCERR

echo * End the MQ Queue Manager if already running
echo endmqm -i %1 
endmqm -i %1
echo.

echo * Delete the old MQ Queue Manager if one exists
echo dltmqm %1
dltmqm %1
echo.

echo * MQ V5.0 sometimes needs to issue DLTMQM command twice! (depending on previous state)
echo dltmqm %1
dltmqm %1
echo.

echo * Create the new Queue Manager and specify it as the default QMgr
echo crtmqm -q %1
crtmqm -q %1
echo.

echo * Start the new Queue Manager
echo strmqm
strmqm
echo.

echo * Define MQ objects
echo runmqsc < SetupRegistration.dat
runmqsc < SetupRegistration.dat
echo.

echo * Start MQ Command Server
echo strmqcsv %1
strmqcsv %1
echo.

echo * Start MQ Listener
echo start runmqlsr -t tcp -m %1
start runmqlsr -t tcp -m %1
echo.

echo * Start Trigger Monitor
echo start runmqtrm -q REGISTERQ.INITQ
start runmqtrm -q REGISTERQ.INITQ
echo.

goto PAUSE

:INVOCERR
echo Invocation error - requires Registration System queue manager name
echo For example: DoFirst REGSYS

:PAUSE
pause

REM exit